For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Task Date

Update Task Date — Taskade REST API v1 reference: PUT /projects/{projectId}/tasks/{taskId}/date. Parameters, authentication, and response schema.

put

Create or update date for a task

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Body
Responses
200

Successful Task Date create or update

application/json

Successful Task Date create or update

okboolean · enumRequiredPossible values:
put/projects/{projectId}/tasks/{taskId}/date
PUT /api/v1/projects/{projectId}/tasks/{taskId}/date HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 111

{
  "start": {
    "date": "text",
    "time": "text",
    "timezone": "text"
  },
  "end": {
    "date": "text",
    "time": "text",
    "timezone": "text"
  }
}
{
  "ok": true,
  "item": {
    "id": "abc123DEF456",
    "text": "Follow up with client",
    "parentId": "abc123DEF456",
    "completed": false
  }
}

Last updated

Was this helpful?